## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname  topydo
%global projname %{modname}

%bcond_with tests

Name:           python-%{projname}
Version:        0.14
Release:        %autorelease
Summary:        A powerful todo.txt application for the console

License:        GPL-3.0-or-later
URL:            https://github.com/%{projname}/%{projname}
Source0:        %{pypi_source %{projname}}

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
topydo is a powerful and customizable todo.txt application for the console, inspired by the todo.txt CLI by Gina Trapani.

Highlights of the additional features it provides:
 * Set due and start dates;
 * Multiple UIs (CLI, prompt and a column-based TUI);
 * Custom sorting;
 * Manage tags;
 * Maintain dependencies between todo items;
 * Allow todos to recur;
 * Some conveniences when adding new items (e.g. adding creation date and use relative dates)}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}

%description -n python3-%{projname} %_description

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -x columns -x ical -x prompt -x test
%else
%pyproject_buildrequires -x columns -x ical -x prompt
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%python3 setup.py test
%else
%pyproject_check_import
%endif

%pyproject_extras_subpkg -n python3-%{projname} columns
%pyproject_extras_subpkg -n python3-%{projname} ical
%pyproject_extras_subpkg -n python3-%{projname} prompt

%files -n python3-%{projname} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{projname}

%changelog
## START: Generated by rpmautospec
* Mon Sep 02 2024 John Doe <packager@example.com> - 0.14-1
- Uncommitted changes
## END: Generated by rpmautospec
